<?php
/*
Plugin Name: Stylish Quantity for WooCommerce (EasyToolsWP)
Plugin URI: https://www.easytoolswp.com/plugins/woocommerce/etwp-stylish-quantity-woo.zip
Description: Replace the quantity input on WooCommerce product cards with +/- buttons.
Version: 1.2
Author: EasyToolsWP.com
*/

// Enqueue styles and scripts
function custom_quantity_scripts() {
    if (is_product() && function_exists('is_product') && function_exists('wc_get_product')) {
        echo '<style>.quantity input::-webkit-outer-spin-button,.quantity input::-webkit-inner-spin-button {-webkit-appearance: none;margin: 0;}</style>';
        echo '<style>.quantity input[type=number] {-moz-appearance: textfield;}</style>';
        
        echo '<style>';
        include plugin_dir_path( __FILE__ ) . 'etwp-stylish-quantity-woo.css';
        echo '</style>';
        
        wp_enqueue_script('jquery');
        echo '<script>';
        include plugin_dir_path( __FILE__ ) . 'etwp-stylish-quantity-woo.js';
        echo '</script>';
    }
}
add_action('wp_enqueue_scripts', 'custom_quantity_scripts');

// Replace default quantity input with +/- buttons
function custom_quantity_input() {
    global $product;

    if ($product && $product->is_purchasable() && $product->is_in_stock()) {
        ?>
        <div class="quantity">
            <input type="button" value="-" class="qty-button minus" />
            <?php woocommerce_quantity_input(array('min_value' => 1)); ?>
            <input type="button" value="+" class="qty-button plus" />
        </div>
        <?php
    }
}

remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10);
add_action('woocommerce_after_shop_loop_item', 'custom_quantity_input', 10);
?>
